# Makefile for VgaGames: nw/

all: nw_util.o sv_nwpack.o cl_nwpack.o nw_server.o nw_client.o xdatalist.o

clean:
	rm -f *.o


nw_util.o: nw_util.c nw.h
	$(CC) $(CFLAGS) $(SOFLAGS) -c nw_util.c

sv_nwpack.o: sv_nwpack.c nw.h
	$(CC) $(CFLAGS) $(SOFLAGS) -c sv_nwpack.c

cl_nwpack.o: cl_nwpack.c nw.h
	$(CC) $(CFLAGS) $(SOFLAGS) -c cl_nwpack.c

nw_server.o: nw_server.c nw.h
	$(CC) $(CFLAGS) $(SOFLAGS) -c nw_server.c

nw_client.o: nw_client.c nw.h
	$(CC) $(CFLAGS) $(SOFLAGS) -c nw_client.c

xdatalist.o: xdatalist.c nw.h
	$(CC) $(CFLAGS) $(SOFLAGS) -c xdatalist.c

